From 84b2edbd6a2a8aa31aaa3b346a5b04e7de0545f5 Mon Sep 17 00:00:00 2001
From: Marius Gavrilescu <marius@ieval.ro>
Date: Mon, 12 Jan 2015 09:36:30 +0200
Subject: [PATCH 1/2] Add a failing test that parses using ::Style::Stream when
 $_ is read-only

---
 MANIFEST            |  1 +
 t/readonly-stream.t | 21 +++++++++++++++++++++
 2 files changed, 22 insertions(+)
 create mode 100644 t/readonly-stream.t

diff --git a/MANIFEST b/MANIFEST
index 4576241..0c4911e 100644
--- a/MANIFEST
+++ b/MANIFEST
@@ -60,6 +60,7 @@ t/foo.dtd                       External DTD for parament.t test
 t/namespaces.t                  Test script
 t/parament.t                    Test script
 t/partial.t                     Test script
+t/readonly-stream.t             Test script
 t/skip.t                        Test script
 t/stream.t                      Test script
 t/styles.t                      Test script
diff --git a/t/readonly-stream.t b/t/readonly-stream.t
new file mode 100644
index 0000000..d7e8533
--- /dev/null
+++ b/t/readonly-stream.t
@@ -0,0 +1,21 @@
+#!/usr/bin/perl
+use strict;
+use warnings;
+
+use Test::More tests => 1;
+use XML::Parser;
+
+# Silence ::Style::Stream
+sub StartTag {}
+sub EndTag   {}
+sub Text     {}
+sub PI       {}
+
+my $parser = XML::Parser->new(Style => 'Stream', Pkg => __PACKAGE__);
+
+my $ret = eval {
+	$parser->parse('<?PI key="value"?><foo>text</foo>') for qw/1/;
+	1
+};
+
+ok $ret, 'Stream style parse works when $_ is read-only';
-- 
2.1.4

